> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Cards

> Get all the flashcards created by a user.



## OpenAPI

````yaml post /get-all-cards
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /get-all-cards:
    post:
      tags:
        - Card management
      summary: Get All Cards
      description: Get all the flashcards created by a user.
      operationId: post-get-all-cards
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  jwtToken: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
              required:
                - jwtToken
              properties:
                jwtToken:
                  type: string
                  example: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                  description: Identifies the user who wants to retrieve their flashcards.
      responses:
        '200':
          description: >-
            OK. Returns the string: `"User has no flashcards"` when supplied an
            invalid jwtToken.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    My first folder:
                      firstFlashcard:
                        cards:
                          cardID:
                            last_review: 15/07/2024
                            review_status: '0.0'
                        flashcardID: >-
                          6796878844471389968582206160161573797336081897254331165973477783999823937257
                        flashcardName: firstCard
                      secondFlashcard:
                        cards:
                          cardID:
                            last_review: 15/07/2024
                            review_status: '0.0'
                        flashcardID: >-
                          6796878844471389968582206160161573797336081897254331165973477783999823937257
                        flashcardName: secondCard
                    My second folder: {}
                    My third folder: {}
                    top-level-parent-name:
                      parent-name-2:
                        parent-name-3:
                          flashcardName:
                            cards:
                              '37117561297934638728634279553695852046447234529246203144425130738760147640868':
                                last_review: 15/07/2024
                                review_status: '0.0'
                            flashcardID: >-
                              6796878844881389968582206160161573797336081897254331165973477783999823937257
                            flashcardName: firstCard
                properties:
                  Folder:
                    type: object
                    x-stoplight:
                      id: uxvyik4azlzci
                    description: A parent folder containing flashcards.
                    properties:
                      Flashcard:
                        type: object
                        x-stoplight:
                          id: c8dkih2tdp5wa
                        description: 'The first flashcard in the current folder.   '
                        properties:
                          cards:
                            type: object
                            description: >-
                              An object contaning the `cardID` of the current
                              flashcard.
                            properties:
                              cardID:
                                type: object
                                description: >-
                                  A unique numerical identifier of a specific
                                  card item within the flashcard. Has
                                  `last_review` and `review_status` properties.
                                properties:
                                  last_review:
                                    type: string
                                    description: >-
                                      The date when the card was last reviewed,
                                      formatted as dd/mm/yyyy. 
                                  review_status:
                                    type: string
                                    description: >-
                                      The current review status of the card,
                                      where `0.0` indicates that the card is not
                                      started; `0.x` indicates that the card is
                                      actively studying; and >= `1.x` indicates
                                      that the card is learned. 
                          flashcardID:
                            type: string
                            description: >-
                              A unique numerical identifier of the current
                              flashcard. This is different from `cardID`.
                          flashcardName:
                            type: string
                            description: The name of the current flashcard.
                      secondFlashcard:
                        type: object
                        description: 'The second flashcard in the current folder.   '
                        properties:
                          cards:
                            type: object
                            description: >-
                              An object contaning the `cardID` of the current
                              flashcard.
                            properties:
                              cardID:
                                type: object
                                description: >-
                                  A unique numerical identifier of a specific
                                  card item within the flashcard. Has
                                  `last_review` and `review_status` properties.
                                properties:
                                  last_review:
                                    type: string
                                    description: >-
                                      The date when the card was last reviewed,
                                      formatted as dd/mm/yyyy. 
                                  review_status:
                                    type: string
                                    description: >-
                                      The current review status of the card,
                                      where `0.0` indicates that the card is not
                                      started; `0.x` indicates that the card is
                                      actively studying; and >= `1.x` indicates
                                      that the card is learned. 
                          flashcardID:
                            type: string
                            description: >-
                              A unique numerical identifier of the current
                              flashcard. This is different from `cardID`.
                          flashcardName:
                            type: string
                            description: The name of the current flashcard.
                  top-level-parent-name:
                    type: object
                    description: >-
                      Another parent folder within the same account that
                      contains nested folders and flashcards. It has a different
                      naming convention from the previous folder.
                    properties:
                      parent-name-2:
                        type: object
                        description: >-
                          A folder nested within the `top-level-parent-name`
                          folder that further organizes flashcards.
                        properties:
                          parent-name-3:
                            type: object
                            description: >-
                              A folder nested within the `parent-name-2` folder,
                              containing specific flashcards.
                            properties:
                              Flashcard:
                                type: object
                                x-stoplight:
                                  id: leubcg0y6tohu
                                description: 'The first flashcard in the current folder.   '
                                properties:
                                  cards:
                                    type: object
                                    description: >-
                                      An object contaning the `cardID` of the
                                      current flashcard.
                                    properties:
                                      cardID:
                                        type: object
                                        description: >-
                                          A unique numerical identifier of a
                                          specific card item within the flashcard.
                                          Has `last_review` and `review_status`
                                          properties.
                                        x-stoplight:
                                          id: vtzd3ybisgqvr
                                        properties:
                                          last_review:
                                            type: string
                                            description: >-
                                              The date when the card was last
                                              reviewed, formatted as dd/mm/yyyy. 
                                          review_status:
                                            type: string
                                            description: >-
                                              The current review status of the card,
                                              where `0.0` indicates that the card is
                                              not started; `0.x` indicates that the
                                              card is actively studying; and >= `1.x`
                                              indicates that the card is learned. 
                                  flashcardID:
                                    type: string
                                    description: >-
                                      A unique numerical identifier of the
                                      current flashcard. This is different from
                                      `cardID`.
                                  flashcardName:
                                    type: string
                                    description: The name of the current flashcard.
        '400':
          description: >-
            A bad request error. Returned when the request body parameter is not
            in the expected JSON format.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'jwtToken': ''}
                properties:
                  error:
                    type: string
                    example: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'jwtToken': ''
                    description: >-
                      Describes the nature of the error and provides a possible
                      solution.

````